@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  key.ui startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and KEY_UI_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\key.ui-2.11.0-6071.jar;%APP_HOME%\lib\keyext.ui.testgen-2.11.0-6071.jar;%APP_HOME%\lib\keyext.exploration-2.11.0-6071.jar;%APP_HOME%\lib\miglayout-swing-11.0.jar;%APP_HOME%\lib\docking-frames-common-1.1.3p1.jar;%APP_HOME%\lib\docking-frames-core-1.1.3p1.jar;%APP_HOME%\lib\rifl-2.11.0-6071.jar;%APP_HOME%\lib\key.core.proof_references-2.11.0-6071.jar;%APP_HOME%\lib\key.core.symbolic_execution-2.11.0-6071.jar;%APP_HOME%\lib\key.removegenerics-2.11.0-6071.jar;%APP_HOME%\lib\key.core.testgen-2.11.0-6071.jar;%APP_HOME%\lib\key.core-2.11.0-6071.jar;%APP_HOME%\lib\logback-classic-1.2.10.jar;%APP_HOME%\lib\key.util-2.11.0-6071.jar;%APP_HOME%\lib\recoder-2.11.0-6071.jar;%APP_HOME%\lib\slf4j-api-1.7.32.jar;%APP_HOME%\lib\jsr305-3.0.2.jar;%APP_HOME%\lib\miglayout-core-11.0.jar;%APP_HOME%\lib\antlr-3.5.2.jar;%APP_HOME%\lib\antlr4-runtime-4.9.3.jar;%APP_HOME%\lib\javacc-4.0.jar;%APP_HOME%\lib\ST4-4.0.8.jar;%APP_HOME%\lib\antlr-runtime-3.5.2.jar;%APP_HOME%\lib\antlr-2.7.7.jar;%APP_HOME%\lib\logback-core-1.2.10.jar;%APP_HOME%\lib\asm-4.1.jar;%APP_HOME%\lib\bsh-1.3.0.jar;%APP_HOME%\lib\retrotranslator-transformer-1.2.9.jar;%APP_HOME%\lib\retrotranslator-runtime-1.2.9.jar;%APP_HOME%\lib\backport-util-concurrent-3.1.jar


@rem Execute key.ui
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %KEY_UI_OPTS%  -classpath "%CLASSPATH%" de.uka.ilkd.key.core.Main %*

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable KEY_UI_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%KEY_UI_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
